Post by DannyMacD » Wed Nov 11, 2009 8:26 pm

hi there,

what has happened to the sorting of products??
i swear before i could put a sort order on products.. cant seem to do that in 1.3.4

many thanks

Active Member

Posts

Joined
Fri Jun 26, 2009 6:39 am

Post by Qphoria » Wed Nov 11, 2009 10:25 pm

It had been deprecated back in v1.2.9 i think when page sorting was introduced. Finally removed in 1.3.2 or 1.3.3 i think. It hasn't worked since 1.2.0 i think, although it was easy enough to hack it to make it work.. I disagree with removing the db column

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by mab » Thu Nov 12, 2009 2:33 am

I agree. It would be helpful to have a default sort sequence established by the website owner, for when we want to present a collection of products in a particular sequence. Sort by ££ or ABC is fine for commodity products, but not if, for example, you're showing a range of expensive jewellery and you want to show it to the user in the best light. Perhaps this could be achieved by simply adding "default" to the current 6 options. I do appreciate that this would require careful handling if, for example, a product were listed under more than 1 category.

Kind Regards
Michael

mab
New member

Posts

Joined
Sun Oct 18, 2009 7:22 am

Post by chump » Thu Nov 12, 2009 4:19 am

iori57 wrote:Hi Daniel, there's a slight problem in your upgrade.txt file that took me a day to fix :) I upgraded from 1.3.2 to 1.3.4 and got some error when adding product options, after some digging I found that the last two lines of the upgrade.txt file the TABLE should be 'opencart_product_option_value' not 'opencart_product_option'

In short, the last two lines of upgrade.txt instruction should be:
ALTER TABLE `opencart_product_option_value` ADD `quantity` INT( 4 ) NOT NULL DEFAULT '0' AFTER `product_id`;
ALTER TABLE `opencart_product_option_value` ADD `subtract` INT( 1 ) NOT NULL DEFAULT '0' AFTER `quantity`;

Hope this will help someone who are upgrading from 1.3.2 as well..

Cheers :)
thank you. absolute lifesaver. have saved me a day going through it all!

Newbie

Posts

Joined
Thu Oct 08, 2009 4:56 am

Post by spencerhaley » Thu Nov 12, 2009 3:24 pm

I get:

Notice: Undefined variable: coutnry_info in XXXXremovedXXXX/html/catalog/model/shipping/usps.php on line 37

When using the usps shipping module with guest checkout.

Any fix?

Newbie

Posts

Joined
Fri Nov 06, 2009 9:24 pm

Post by lucyvanpelt » Thu Nov 12, 2009 3:44 pm

hi all

i just upgraded from 1.33 to 1.34, when i hit "add to cart" for any of my items, i get this error message:

ERROR

The requested URL could not be retrieved

The following error was encountered while trying to retrieve the URL:
(myurl)/index.php?

Zero Sized Reply

Squid did not receive any data for this request.

Your cache administrator is webmaster.

Generated Thu, 12 Nov 2009 07:44:03 GMT by demil1.byetcluster.com (Lusca/LUSCA_HEAD)

New member

Posts

Joined
Wed Nov 04, 2009 5:38 am

Post by piseth » Thu Nov 12, 2009 4:13 pm

johnhao wrote:Error: Could not load language feed/google_sitemap!
I have the same problem after upgrade from 1.3.3 to 1.3.4
Error: Could not load language !

Anyone here can help?

Piseth
Phnom Penh, Cambodia
http://www.cambodia365.com


User avatar
New member

Posts

Joined
Sun May 03, 2009 4:20 am
Location - Cambodia

Post by xshare » Thu Nov 12, 2009 5:25 pm

piseth wrote:
johnhao wrote:Error: Could not load language feed/google_sitemap!
I have the same problem after upgrade from 1.3.3 to 1.3.4
Error: Could not load language !

Anyone here can help?
OFFTOPIC

http://www.cambodia365.com your site is infected with malware: http://i38.tinypic.com/2nas9za.jpg

Newbie

Posts

Joined
Sun Nov 08, 2009 1:30 pm

Post by carlos001 » Thu Nov 12, 2009 6:20 pm

Thanks i have the same problem i think!

New member

Posts

Joined
Sat Oct 31, 2009 5:12 pm

Post by chump » Thu Nov 12, 2009 10:47 pm

i'm also hitting an error on the checkout complete stage in the sagepay module (the existing one which directs to sagepay site, not the new sagepaydirect one)

Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING, expecting ']' in /home/timeforf/public_html/catalog/controller/payment/sagepay.php on line 53

anyone got any ideas on this one?

thanks

Newbie

Posts

Joined
Thu Oct 08, 2009 4:56 am

Post by MWYS » Fri Nov 13, 2009 1:22 am

It has been asked a few times in this thread, but i'd like to confirm, Are the only changes made the ones in the Google Code listings here: http://code.google.com/p/opencart/source/detail?r=93 (I.e, all the Admin files).

I have made many changes throughout the store and want to be able to just copy / paste over the admin directory if it is only those files that have been changed.

Thanks

New member

Posts

Joined
Wed Oct 21, 2009 9:04 pm

Post by Qphoria » Fri Nov 13, 2009 1:25 am

Yes, those should be the only changes

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by carlos001 » Fri Nov 13, 2009 6:37 am

problems with the usps module:
If any one can help me?
http://forum.opencart.com/viewtopic.php?f=22&t=7838
???

New member

Posts

Joined
Sat Oct 31, 2009 5:12 pm

Post by digiartvn » Fri Nov 13, 2009 3:49 pm

Problem winh contact:

Code: Select all

http://www.domain_name.com/upload/index.php?route=information/contact
Something wrong

Code: Select all

Warning: Cannot modify header information - headers already sent by (output started at D:\Webspace\domain_name.com\httpdocs\upload\catalog\language\vietnamese\information\contact.php:1) in D:\Webspace\domain_name.com\httpdocs\upload\system\engine\controller.php on line 22
Help me!

Newbie

Posts

Joined
Fri Nov 13, 2009 3:44 pm

Post by Daniel » Fri Nov 13, 2009 6:28 pm

you have a space in your language file before the <?php or after ?>

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by MeanGuns » Sat Nov 14, 2009 3:01 am

Daniel wrote:1.3.4 released.

there are a few other fixes but these are 2 main ones.

fixed usps
fixed response compression

added attach images to mail when sending a newseltter.
google sitemap has been moved to the feed folder.


to upgrade just replace the files.

Hi I am brand new to this, I downloaded opencart 1.3.2 and wamp server 2.0i. I set up opencart on a windows XP machine. It worked great. So what I decided to do was list everything localy and test it everything works, it's awesome but when I tried to upgrade the local machine to 1.3.4 there is a problem it was driving me crazy the search will not work and the search bar in green is cut off. So what i did was eliminate the upgrade all together on another machine of corse. I did a fresh install of wamp server 2.0i and a fresh install of opencart 1.3.4 but guess what it has the same problem (The search bar in green is cut off and the search does not work you can't even type anything in it). Maybe it's me and I did somthing to get 1.3.2 to work with the search but if I did I can't remember. So if anyone knows why this is doing this it would be a big help. I still did not launch my store yet but once I get everything ready I will launch it all at once with all items already listed at least thats the plan.

Newbie

Posts

Joined
Sat Nov 14, 2009 2:38 am

Post by Daniel » Sat Nov 14, 2009 3:19 am

are you using IE6?

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by MeanGuns » Sat Nov 14, 2009 3:39 am

Daniel wrote:are you using IE6?

Yes wamp server takes over IE6 when you go to local host I did not upgrade IE. I also did a fresh install of 1.3.2 again and it works perfectly on IE6. Do you think it could be the IE6 or would I get the same results with IE8 or firefox or with the others? What i know for sure is that 1.3.2 works perfect in IE6 but 1.3.4 does not. But I am unsure if it is an IE6 problem or a problem with opencart 1.3.4. I will try and upgrade my IE when i get home but I fear i might have the same results. I know 1.3.2 is rock solid from my stand point but software always changes and if you don't change with it your left in the dust.

Newbie

Posts

Joined
Sat Nov 14, 2009 2:38 am

Post by Qphoria » Sat Nov 14, 2009 3:57 am

It is either IE6. which has nothing to do with wamp.. you can use localhost on any browser. If clicking something is wamp make IE6 come up then that is due to it being your default browser. Get a good one like Firefox or at least update IE6

IE6 single handedly caused the lack of web development progress over a 5+ year span. If we had gotten rid of it a long time ago, we'd probably have like 3D websites now.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by digiartvn » Sat Nov 14, 2009 12:28 pm

by Daniel » Fri Nov 13, 2009 10:28 am

you have a space in your language file before the <?php or after ?>
Thankyou so much!
Cause I edit it by stupid MS notepad.
Vietnamese language for Opencart 1.3.4 now completed. May I share it here?

Newbie

Posts

Joined
Fri Nov 13, 2009 3:44 pm
Who is online

Users browsing this forum: No registered users and 9 guests